Bug 1076850 - blobby bundles tinyxml
blobby bundles tinyxml
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: blobby (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Rahul Sundaram
Fedora Extras Quality Assurance
:
Depends On:
Blocks: DuplicSysLibsTracker
  Show dependency treegraph
 
Reported: 2014-03-15 14:50 EDT by Ville Skyttä
Modified: 2015-01-25 21:29 EST (History)
2 users (show)

See Also:
Fixed In Version: blobby-1.0-2svn1541.fc21
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-01-25 21:29:18 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ville Skyttä 2014-03-15 14:50:46 EDT
https://fedoraproject.org/wiki/Packaging:No_Bundled_Libraries
https://fedoraproject.org/wiki/Packaging:Treatment_Of_Bundled_Libraries

blobby is using a bundled copy of tinyxml.

$ rpm -qlp http://kojipkgs.fedoraproject.org//packages/blobby/1.0/0.6.rc3.fc20/x86_64/blobby-debuginfo-1.0-0.6.rc3.fc20.x86_64.rpm | grep tiny
/usr/src/debug/blobby-1.0rc3/src/tinyxml
/usr/src/debug/blobby-1.0rc3/src/tinyxml/tinyxml.cpp
/usr/src/debug/blobby-1.0rc3/src/tinyxml/tinyxml.h
/usr/src/debug/blobby-1.0rc3/src/tinyxml/tinyxmlerror.cpp
/usr/src/debug/blobby-1.0rc3/src/tinyxml/tinyxmlparser.cpp
Comment 1 Ankur Sinha (FranciscoD) 2014-09-16 01:14:19 EDT
Thanks for pointing this out. Working on it now. Also seems to bundle lua.
Comment 2 Fedora Update System 2014-09-16 01:42:54 EDT
blobby-1.0-2svn1541.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/blobby-1.0-2svn1541.fc21
Comment 3 Fedora Update System 2014-09-16 14:44:01 EDT
Package blobby-1.0-2svn1541.fc21:
* should fix your issue,
* was pushed to the Fedora 21 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing blobby-1.0-2svn1541.fc21'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-10875/blobby-1.0-2svn1541.fc21
then log in and leave karma (feedback).
Comment 4 Fedora Update System 2015-01-25 21:29:18 EST
blobby-1.0-2svn1541.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.